Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network123.131.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
123.131.0.0
Broadcast address
123.131.127.255
First usable
123.131.0.1
Last usable
123.131.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 7B830000 · Integer 2072182784 to 2072215551
Reverse DNS zones
0.131.123.in-addr.arpa
1.131.123.in-addr.arpa
2.131.123.in-addr.arpa
3.131.123.in-addr.arpa
4.131.123.in-addr.arpa
5.131.123.in-addr.arpa
6.131.123.in-addr.arpa
7.131.123.in-addr.arpa
8.131.123.in-addr.arpa
9.131.123.in-addr.arpa
10.131.123.in-addr.arpa
11.131.123.in-addr.arpa
12.131.123.in-addr.arpa
13.131.123.in-addr.arpa
14.131.123.in-addr.arpa
15.131.123.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111011.10000011.00000000.00000000123.131.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01111011.10000011.00000000.00000000123.131.0.0
Broadcast01111011.10000011.01111111.11111111123.131.127.255
Split into smaller subnets/26

123.131.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1123.131.0.0/26123.131.0.1 to 123.131.0.62123.131.0.6362
2123.131.0.64/26123.131.0.65 to 123.131.0.126123.131.0.12762
3123.131.0.128/26123.131.0.129 to 123.131.0.190123.131.0.19162
4123.131.0.192/26123.131.0.193 to 123.131.0.254123.131.0.25562
5123.131.1.0/26123.131.1.1 to 123.131.1.62123.131.1.6362
6123.131.1.64/26123.131.1.65 to 123.131.1.126123.131.1.12762
7123.131.1.128/26123.131.1.129 to 123.131.1.190123.131.1.19162
8123.131.1.192/26123.131.1.193 to 123.131.1.254123.131.1.25562
9123.131.2.0/26123.131.2.1 to 123.131.2.62123.131.2.6362
10123.131.2.64/26123.131.2.65 to 123.131.2.126123.131.2.12762
11123.131.2.128/26123.131.2.129 to 123.131.2.190123.131.2.19162
12123.131.2.192/26123.131.2.193 to 123.131.2.254123.131.2.25562
13123.131.3.0/26123.131.3.1 to 123.131.3.62123.131.3.6362
14123.131.3.64/26123.131.3.65 to 123.131.3.126123.131.3.12762
15123.131.3.128/26123.131.3.129 to 123.131.3.190123.131.3.19162
16123.131.3.192/26123.131.3.193 to 123.131.3.254123.131.3.25562
17123.131.4.0/26123.131.4.1 to 123.131.4.62123.131.4.6362
18123.131.4.64/26123.131.4.65 to 123.131.4.126123.131.4.12762
19123.131.4.128/26123.131.4.129 to 123.131.4.190123.131.4.19162
20123.131.4.192/26123.131.4.193 to 123.131.4.254123.131.4.25562
21123.131.5.0/26123.131.5.1 to 123.131.5.62123.131.5.6362
22123.131.5.64/26123.131.5.65 to 123.131.5.126123.131.5.12762
23123.131.5.128/26123.131.5.129 to 123.131.5.190123.131.5.19162
24123.131.5.192/26123.131.5.193 to 123.131.5.254123.131.5.25562
25123.131.6.0/26123.131.6.1 to 123.131.6.62123.131.6.6362
26123.131.6.64/26123.131.6.65 to 123.131.6.126123.131.6.12762
27123.131.6.128/26123.131.6.129 to 123.131.6.190123.131.6.19162
28123.131.6.192/26123.131.6.193 to 123.131.6.254123.131.6.25562
29123.131.7.0/26123.131.7.1 to 123.131.7.62123.131.7.6362
30123.131.7.64/26123.131.7.65 to 123.131.7.126123.131.7.12762
31123.131.7.128/26123.131.7.129 to 123.131.7.190123.131.7.19162
32123.131.7.192/26123.131.7.193 to 123.131.7.254123.131.7.25562
33123.131.8.0/26123.131.8.1 to 123.131.8.62123.131.8.6362
34123.131.8.64/26123.131.8.65 to 123.131.8.126123.131.8.12762
35123.131.8.128/26123.131.8.129 to 123.131.8.190123.131.8.19162
36123.131.8.192/26123.131.8.193 to 123.131.8.254123.131.8.25562
37123.131.9.0/26123.131.9.1 to 123.131.9.62123.131.9.6362
38123.131.9.64/26123.131.9.65 to 123.131.9.126123.131.9.12762
39123.131.9.128/26123.131.9.129 to 123.131.9.190123.131.9.19162
40123.131.9.192/26123.131.9.193 to 123.131.9.254123.131.9.25562
41123.131.10.0/26123.131.10.1 to 123.131.10.62123.131.10.6362
42123.131.10.64/26123.131.10.65 to 123.131.10.126123.131.10.12762
43123.131.10.128/26123.131.10.129 to 123.131.10.190123.131.10.19162
44123.131.10.192/26123.131.10.193 to 123.131.10.254123.131.10.25562
45123.131.11.0/26123.131.11.1 to 123.131.11.62123.131.11.6362
46123.131.11.64/26123.131.11.65 to 123.131.11.126123.131.11.12762
47123.131.11.128/26123.131.11.129 to 123.131.11.190123.131.11.19162
48123.131.11.192/26123.131.11.193 to 123.131.11.254123.131.11.25562
49123.131.12.0/26123.131.12.1 to 123.131.12.62123.131.12.6362
50123.131.12.64/26123.131.12.65 to 123.131.12.126123.131.12.12762
51123.131.12.128/26123.131.12.129 to 123.131.12.190123.131.12.19162
52123.131.12.192/26123.131.12.193 to 123.131.12.254123.131.12.25562
53123.131.13.0/26123.131.13.1 to 123.131.13.62123.131.13.6362
54123.131.13.64/26123.131.13.65 to 123.131.13.126123.131.13.12762
55123.131.13.128/26123.131.13.129 to 123.131.13.190123.131.13.19162
56123.131.13.192/26123.131.13.193 to 123.131.13.254123.131.13.25562
57123.131.14.0/26123.131.14.1 to 123.131.14.62123.131.14.6362
58123.131.14.64/26123.131.14.65 to 123.131.14.126123.131.14.12762
59123.131.14.128/26123.131.14.129 to 123.131.14.190123.131.14.19162
60123.131.14.192/26123.131.14.193 to 123.131.14.254123.131.14.25562
61123.131.15.0/26123.131.15.1 to 123.131.15.62123.131.15.6362
62123.131.15.64/26123.131.15.65 to 123.131.15.126123.131.15.12762
63123.131.15.128/26123.131.15.129 to 123.131.15.190123.131.15.19162
64123.131.15.192/26123.131.15.193 to 123.131.15.254123.131.15.25562
65123.131.16.0/26123.131.16.1 to 123.131.16.62123.131.16.6362
66123.131.16.64/26123.131.16.65 to 123.131.16.126123.131.16.12762
67123.131.16.128/26123.131.16.129 to 123.131.16.190123.131.16.19162
68123.131.16.192/26123.131.16.193 to 123.131.16.254123.131.16.25562
69123.131.17.0/26123.131.17.1 to 123.131.17.62123.131.17.6362
70123.131.17.64/26123.131.17.65 to 123.131.17.126123.131.17.12762
71123.131.17.128/26123.131.17.129 to 123.131.17.190123.131.17.19162
72123.131.17.192/26123.131.17.193 to 123.131.17.254123.131.17.25562
73123.131.18.0/26123.131.18.1 to 123.131.18.62123.131.18.6362
74123.131.18.64/26123.131.18.65 to 123.131.18.126123.131.18.12762
75123.131.18.128/26123.131.18.129 to 123.131.18.190123.131.18.19162
76123.131.18.192/26123.131.18.193 to 123.131.18.254123.131.18.25562
77123.131.19.0/26123.131.19.1 to 123.131.19.62123.131.19.6362
78123.131.19.64/26123.131.19.65 to 123.131.19.126123.131.19.12762
79123.131.19.128/26123.131.19.129 to 123.131.19.190123.131.19.19162
80123.131.19.192/26123.131.19.193 to 123.131.19.254123.131.19.25562
81123.131.20.0/26123.131.20.1 to 123.131.20.62123.131.20.6362
82123.131.20.64/26123.131.20.65 to 123.131.20.126123.131.20.12762
83123.131.20.128/26123.131.20.129 to 123.131.20.190123.131.20.19162
84123.131.20.192/26123.131.20.193 to 123.131.20.254123.131.20.25562
85123.131.21.0/26123.131.21.1 to 123.131.21.62123.131.21.6362
86123.131.21.64/26123.131.21.65 to 123.131.21.126123.131.21.12762
87123.131.21.128/26123.131.21.129 to 123.131.21.190123.131.21.19162
88123.131.21.192/26123.131.21.193 to 123.131.21.254123.131.21.25562
89123.131.22.0/26123.131.22.1 to 123.131.22.62123.131.22.6362
90123.131.22.64/26123.131.22.65 to 123.131.22.126123.131.22.12762
91123.131.22.128/26123.131.22.129 to 123.131.22.190123.131.22.19162
92123.131.22.192/26123.131.22.193 to 123.131.22.254123.131.22.25562
93123.131.23.0/26123.131.23.1 to 123.131.23.62123.131.23.6362
94123.131.23.64/26123.131.23.65 to 123.131.23.126123.131.23.12762
95123.131.23.128/26123.131.23.129 to 123.131.23.190123.131.23.19162
96123.131.23.192/26123.131.23.193 to 123.131.23.254123.131.23.25562
97123.131.24.0/26123.131.24.1 to 123.131.24.62123.131.24.6362
98123.131.24.64/26123.131.24.65 to 123.131.24.126123.131.24.12762
99123.131.24.128/26123.131.24.129 to 123.131.24.190123.131.24.19162
100123.131.24.192/26123.131.24.193 to 123.131.24.254123.131.24.25562
101123.131.25.0/26123.131.25.1 to 123.131.25.62123.131.25.6362
102123.131.25.64/26123.131.25.65 to 123.131.25.126123.131.25.12762
103123.131.25.128/26123.131.25.129 to 123.131.25.190123.131.25.19162
104123.131.25.192/26123.131.25.193 to 123.131.25.254123.131.25.25562
105123.131.26.0/26123.131.26.1 to 123.131.26.62123.131.26.6362
106123.131.26.64/26123.131.26.65 to 123.131.26.126123.131.26.12762
107123.131.26.128/26123.131.26.129 to 123.131.26.190123.131.26.19162
108123.131.26.192/26123.131.26.193 to 123.131.26.254123.131.26.25562
109123.131.27.0/26123.131.27.1 to 123.131.27.62123.131.27.6362
110123.131.27.64/26123.131.27.65 to 123.131.27.126123.131.27.12762
111123.131.27.128/26123.131.27.129 to 123.131.27.190123.131.27.19162
112123.131.27.192/26123.131.27.193 to 123.131.27.254123.131.27.25562
113123.131.28.0/26123.131.28.1 to 123.131.28.62123.131.28.6362
114123.131.28.64/26123.131.28.65 to 123.131.28.126123.131.28.12762
115123.131.28.128/26123.131.28.129 to 123.131.28.190123.131.28.19162
116123.131.28.192/26123.131.28.193 to 123.131.28.254123.131.28.25562
117123.131.29.0/26123.131.29.1 to 123.131.29.62123.131.29.6362
118123.131.29.64/26123.131.29.65 to 123.131.29.126123.131.29.12762
119123.131.29.128/26123.131.29.129 to 123.131.29.190123.131.29.19162
120123.131.29.192/26123.131.29.193 to 123.131.29.254123.131.29.25562
121123.131.30.0/26123.131.30.1 to 123.131.30.62123.131.30.6362
122123.131.30.64/26123.131.30.65 to 123.131.30.126123.131.30.12762
123123.131.30.128/26123.131.30.129 to 123.131.30.190123.131.30.19162
124123.131.30.192/26123.131.30.193 to 123.131.30.254123.131.30.25562
125123.131.31.0/26123.131.31.1 to 123.131.31.62123.131.31.6362
126123.131.31.64/26123.131.31.65 to 123.131.31.126123.131.31.12762
127123.131.31.128/26123.131.31.129 to 123.131.31.190123.131.31.19162
128123.131.31.192/26123.131.31.193 to 123.131.31.254123.131.31.25562
129123.131.32.0/26123.131.32.1 to 123.131.32.62123.131.32.6362
130123.131.32.64/26123.131.32.65 to 123.131.32.126123.131.32.12762
131123.131.32.128/26123.131.32.129 to 123.131.32.190123.131.32.19162
132123.131.32.192/26123.131.32.193 to 123.131.32.254123.131.32.25562
133123.131.33.0/26123.131.33.1 to 123.131.33.62123.131.33.6362
134123.131.33.64/26123.131.33.65 to 123.131.33.126123.131.33.12762
135123.131.33.128/26123.131.33.129 to 123.131.33.190123.131.33.19162
136123.131.33.192/26123.131.33.193 to 123.131.33.254123.131.33.25562
137123.131.34.0/26123.131.34.1 to 123.131.34.62123.131.34.6362
138123.131.34.64/26123.131.34.65 to 123.131.34.126123.131.34.12762
139123.131.34.128/26123.131.34.129 to 123.131.34.190123.131.34.19162
140123.131.34.192/26123.131.34.193 to 123.131.34.254123.131.34.25562
141123.131.35.0/26123.131.35.1 to 123.131.35.62123.131.35.6362
142123.131.35.64/26123.131.35.65 to 123.131.35.126123.131.35.12762
143123.131.35.128/26123.131.35.129 to 123.131.35.190123.131.35.19162
144123.131.35.192/26123.131.35.193 to 123.131.35.254123.131.35.25562
145123.131.36.0/26123.131.36.1 to 123.131.36.62123.131.36.6362
146123.131.36.64/26123.131.36.65 to 123.131.36.126123.131.36.12762
147123.131.36.128/26123.131.36.129 to 123.131.36.190123.131.36.19162
148123.131.36.192/26123.131.36.193 to 123.131.36.254123.131.36.25562
149123.131.37.0/26123.131.37.1 to 123.131.37.62123.131.37.6362
150123.131.37.64/26123.131.37.65 to 123.131.37.126123.131.37.12762
151123.131.37.128/26123.131.37.129 to 123.131.37.190123.131.37.19162
152123.131.37.192/26123.131.37.193 to 123.131.37.254123.131.37.25562
153123.131.38.0/26123.131.38.1 to 123.131.38.62123.131.38.6362
154123.131.38.64/26123.131.38.65 to 123.131.38.126123.131.38.12762
155123.131.38.128/26123.131.38.129 to 123.131.38.190123.131.38.19162
156123.131.38.192/26123.131.38.193 to 123.131.38.254123.131.38.25562
157123.131.39.0/26123.131.39.1 to 123.131.39.62123.131.39.6362
158123.131.39.64/26123.131.39.65 to 123.131.39.126123.131.39.12762
159123.131.39.128/26123.131.39.129 to 123.131.39.190123.131.39.19162
160123.131.39.192/26123.131.39.193 to 123.131.39.254123.131.39.25562
161123.131.40.0/26123.131.40.1 to 123.131.40.62123.131.40.6362
162123.131.40.64/26123.131.40.65 to 123.131.40.126123.131.40.12762
163123.131.40.128/26123.131.40.129 to 123.131.40.190123.131.40.19162
164123.131.40.192/26123.131.40.193 to 123.131.40.254123.131.40.25562
165123.131.41.0/26123.131.41.1 to 123.131.41.62123.131.41.6362
166123.131.41.64/26123.131.41.65 to 123.131.41.126123.131.41.12762
167123.131.41.128/26123.131.41.129 to 123.131.41.190123.131.41.19162
168123.131.41.192/26123.131.41.193 to 123.131.41.254123.131.41.25562
169123.131.42.0/26123.131.42.1 to 123.131.42.62123.131.42.6362
170123.131.42.64/26123.131.42.65 to 123.131.42.126123.131.42.12762
171123.131.42.128/26123.131.42.129 to 123.131.42.190123.131.42.19162
172123.131.42.192/26123.131.42.193 to 123.131.42.254123.131.42.25562
173123.131.43.0/26123.131.43.1 to 123.131.43.62123.131.43.6362
174123.131.43.64/26123.131.43.65 to 123.131.43.126123.131.43.12762
175123.131.43.128/26123.131.43.129 to 123.131.43.190123.131.43.19162
176123.131.43.192/26123.131.43.193 to 123.131.43.254123.131.43.25562
177123.131.44.0/26123.131.44.1 to 123.131.44.62123.131.44.6362
178123.131.44.64/26123.131.44.65 to 123.131.44.126123.131.44.12762
179123.131.44.128/26123.131.44.129 to 123.131.44.190123.131.44.19162
180123.131.44.192/26123.131.44.193 to 123.131.44.254123.131.44.25562
181123.131.45.0/26123.131.45.1 to 123.131.45.62123.131.45.6362
182123.131.45.64/26123.131.45.65 to 123.131.45.126123.131.45.12762
183123.131.45.128/26123.131.45.129 to 123.131.45.190123.131.45.19162
184123.131.45.192/26123.131.45.193 to 123.131.45.254123.131.45.25562
185123.131.46.0/26123.131.46.1 to 123.131.46.62123.131.46.6362
186123.131.46.64/26123.131.46.65 to 123.131.46.126123.131.46.12762
187123.131.46.128/26123.131.46.129 to 123.131.46.190123.131.46.19162
188123.131.46.192/26123.131.46.193 to 123.131.46.254123.131.46.25562
189123.131.47.0/26123.131.47.1 to 123.131.47.62123.131.47.6362
190123.131.47.64/26123.131.47.65 to 123.131.47.126123.131.47.12762
191123.131.47.128/26123.131.47.129 to 123.131.47.190123.131.47.19162
192123.131.47.192/26123.131.47.193 to 123.131.47.254123.131.47.25562
193123.131.48.0/26123.131.48.1 to 123.131.48.62123.131.48.6362
194123.131.48.64/26123.131.48.65 to 123.131.48.126123.131.48.12762
195123.131.48.128/26123.131.48.129 to 123.131.48.190123.131.48.19162
196123.131.48.192/26123.131.48.193 to 123.131.48.254123.131.48.25562
197123.131.49.0/26123.131.49.1 to 123.131.49.62123.131.49.6362
198123.131.49.64/26123.131.49.65 to 123.131.49.126123.131.49.12762
199123.131.49.128/26123.131.49.129 to 123.131.49.190123.131.49.19162
200123.131.49.192/26123.131.49.193 to 123.131.49.254123.131.49.25562
201123.131.50.0/26123.131.50.1 to 123.131.50.62123.131.50.6362
202123.131.50.64/26123.131.50.65 to 123.131.50.126123.131.50.12762
203123.131.50.128/26123.131.50.129 to 123.131.50.190123.131.50.19162
204123.131.50.192/26123.131.50.193 to 123.131.50.254123.131.50.25562
205123.131.51.0/26123.131.51.1 to 123.131.51.62123.131.51.6362
206123.131.51.64/26123.131.51.65 to 123.131.51.126123.131.51.12762
207123.131.51.128/26123.131.51.129 to 123.131.51.190123.131.51.19162
208123.131.51.192/26123.131.51.193 to 123.131.51.254123.131.51.25562
209123.131.52.0/26123.131.52.1 to 123.131.52.62123.131.52.6362
210123.131.52.64/26123.131.52.65 to 123.131.52.126123.131.52.12762
211123.131.52.128/26123.131.52.129 to 123.131.52.190123.131.52.19162
212123.131.52.192/26123.131.52.193 to 123.131.52.254123.131.52.25562
213123.131.53.0/26123.131.53.1 to 123.131.53.62123.131.53.6362
214123.131.53.64/26123.131.53.65 to 123.131.53.126123.131.53.12762
215123.131.53.128/26123.131.53.129 to 123.131.53.190123.131.53.19162
216123.131.53.192/26123.131.53.193 to 123.131.53.254123.131.53.25562
217123.131.54.0/26123.131.54.1 to 123.131.54.62123.131.54.6362
218123.131.54.64/26123.131.54.65 to 123.131.54.126123.131.54.12762
219123.131.54.128/26123.131.54.129 to 123.131.54.190123.131.54.19162
220123.131.54.192/26123.131.54.193 to 123.131.54.254123.131.54.25562
221123.131.55.0/26123.131.55.1 to 123.131.55.62123.131.55.6362
222123.131.55.64/26123.131.55.65 to 123.131.55.126123.131.55.12762
223123.131.55.128/26123.131.55.129 to 123.131.55.190123.131.55.19162
224123.131.55.192/26123.131.55.193 to 123.131.55.254123.131.55.25562
225123.131.56.0/26123.131.56.1 to 123.131.56.62123.131.56.6362
226123.131.56.64/26123.131.56.65 to 123.131.56.126123.131.56.12762
227123.131.56.128/26123.131.56.129 to 123.131.56.190123.131.56.19162
228123.131.56.192/26123.131.56.193 to 123.131.56.254123.131.56.25562
229123.131.57.0/26123.131.57.1 to 123.131.57.62123.131.57.6362
230123.131.57.64/26123.131.57.65 to 123.131.57.126123.131.57.12762
231123.131.57.128/26123.131.57.129 to 123.131.57.190123.131.57.19162
232123.131.57.192/26123.131.57.193 to 123.131.57.254123.131.57.25562
233123.131.58.0/26123.131.58.1 to 123.131.58.62123.131.58.6362
234123.131.58.64/26123.131.58.65 to 123.131.58.126123.131.58.12762
235123.131.58.128/26123.131.58.129 to 123.131.58.190123.131.58.19162
236123.131.58.192/26123.131.58.193 to 123.131.58.254123.131.58.25562
237123.131.59.0/26123.131.59.1 to 123.131.59.62123.131.59.6362
238123.131.59.64/26123.131.59.65 to 123.131.59.126123.131.59.12762
239123.131.59.128/26123.131.59.129 to 123.131.59.190123.131.59.19162
240123.131.59.192/26123.131.59.193 to 123.131.59.254123.131.59.25562
241123.131.60.0/26123.131.60.1 to 123.131.60.62123.131.60.6362
242123.131.60.64/26123.131.60.65 to 123.131.60.126123.131.60.12762
243123.131.60.128/26123.131.60.129 to 123.131.60.190123.131.60.19162
244123.131.60.192/26123.131.60.193 to 123.131.60.254123.131.60.25562
245123.131.61.0/26123.131.61.1 to 123.131.61.62123.131.61.6362
246123.131.61.64/26123.131.61.65 to 123.131.61.126123.131.61.12762
247123.131.61.128/26123.131.61.129 to 123.131.61.190123.131.61.19162
248123.131.61.192/26123.131.61.193 to 123.131.61.254123.131.61.25562
249123.131.62.0/26123.131.62.1 to 123.131.62.62123.131.62.6362
250123.131.62.64/26123.131.62.65 to 123.131.62.126123.131.62.12762
251123.131.62.128/26123.131.62.129 to 123.131.62.190123.131.62.19162
252123.131.62.192/26123.131.62.193 to 123.131.62.254123.131.62.25562
253123.131.63.0/26123.131.63.1 to 123.131.63.62123.131.63.6362
254123.131.63.64/26123.131.63.65 to 123.131.63.126123.131.63.12762
255123.131.63.128/26123.131.63.129 to 123.131.63.190123.131.63.19162
256123.131.63.192/26123.131.63.193 to 123.131.63.254123.131.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses